#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int a, b, c, ca=0, cb=0, cc=0, i, a1, b1, c1;
    scanf("%d%d%d",&a,&b,&c);
    a1=a;
    b1=b;
    c1=c;
    while(a!=0){
        a/=10;
        ++ca;
    }
    while(b!=0){
        b/=10;
        ++cb;
    }
    while(c!=0){
        c/=10;
        ++cc;
    }
    int as[ca], bs[cb], cs[cc], max=9999, max1=999, min=-999, pa, pc, pb;
    for(i=0;i<ca;i++){
        as[i]=a1/pow(10,i);
    }
    for(i=0;i<cb;i++){
        bs[i]=b1/pow(10,i);
    }
    for(i=0;i<cc;i++){
        cs[i]=c1/pow(10,i);
    }
    pa=ca-1;
    pb=cb-1;
    pc=cc-1;
    if(as[pa]>bs[pb]){
        if(as[pa]>cs[pc]){
            max=a;
            if(bs[pb]>cs[pc]){
            max1=b;
            min=c;
        }
        else if(cs[pc]>bs[pb]){
            max1=c;
            min=b;
        }
        }
        else if(cs[pc]>as[pa]){
            max=c;
            max1=a;
            min=b;
        }
        else{
            while(cs[pc]=as[pa]){
                pc--;
                pa--;
            }
            if(as[pa]>cs[pc]){
                max=a;
                if(bs[pb]>cs[pc]){
            max1=b;
            min=c;
        }
        else if(cs[pc]>bs[pb]){
            max1=c;
            min=b;
        }
            }
            else(cs[pc]>as[pa]);{
                max=c;
                max1=a;
                min=b;
            }
        }
    }
    else if(as[pa]<bs[pb]){
        if(bs[pb]>cs[pc]){
            max=bs[pb];
            if(as[pa]>cs[pc]){
            max1=as[pa];
            min=cs[pc];
        }
        else if(cs[pc]>as[pa]){
            max1=cs[pc];
            min=as[pa];
        }
        }
        else if(cs[pc]>bs[pb]){
            max=cs[pc];
            max1=bs[pb];
            min=as[pa];
        }
        else{
            while(cs[pc]=bs[pb]){
                pc--;
                pb--;
            }
            if(bs[pb]>cs[pc]){
                max=bs[pb];
                if(as[pa]>cs[pc]){
            max1=as[pa];
            min=cs[pc];
        }
        else if(cs[pc]>as[pa]){
            max1=cs[pc];
            min=as[pa];
        }
            }
            else(cs[pc]>bs[pb]);{
                max=cs[pc];
                max1=bs[pb];
                min=as[pa];
            }
        }
    }
       else{
            while(as[pa]=bs[pb]){
                pa--;
                pb--;
            }
            if(bs[pb]>as[pa]){
                max=bs[pb];
                if(as[pa]>cs[pc]){
            max1=as[pa];
            min=cs[pc];
        }
        else if(cs[pc]>as[pa]){
            max1=cs[pc];
            min=as[pa];
        }
            }
            else(as[pa]>bs[pb]);{
                max=as[pa];
                if(bs[pb]>cs[pc]){
            max1=bs[pb];
            min=cs[pc];
        }
        else if(cs[pc]>bs[pb]){
            max1=cs[pc];
            min=bs[pb];
        }
            }
       }
    int n[3]={max,max1,min};
    printf("%d%d%d",n[max],n[max1],n[min]);
    return 0;
}